# Installs in dir /

%define prefix /
%define sysconfdir /etc

Summary: Shell substitute for users who should not log in
Name: byebye
Version: 2.1.2
Release: 1
Source0: byebye-%{version}.tar.gz
Group: Amusements/Text
License: GNU GENERAL PUBLIC LICENSE
URL: ftp://ics.p.lodz.pl/pub/security/byebye
Vendor:  Bartosz Lis <bartoszl@ics.p.lodz.pl>
BuildRoot: /var/tmp/byebye-%{version}.root

%description
This program prints some text on a terminal, then waits for the user
to press any key and terminates. Could be used as a shell for users who
are not allowed to run a real shell.

%prep
%setup
./configure --prefix=%prefix --sysconfdir=%{sysconfdir}

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
#binaries
%attr(755,root,root) %prefix/bin/byebye
#configuration
%attr(644,root,root) %config(noreplace) %sysconfdir/issue.byebye
